# Included by debian/rules.

# Use Maemo's Python, not the ancient Python provided by Scratchbox
DEB_CONFIGURE_EXTRA_FLAGS += PYTHON=/usr/bin/python2.6

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
	SBOX_USE_CCACHE := no
	DEB_CONFIGURE_EXTRA_FLAGS += --enable-coverage
endif

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -DG_DISABLE_CAST_CHECKS
endif

ifneq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
	DEB_CONFIGURE_EXTRA_FLAGS += --disable-gtk-doc
else
	DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
endif

# Use parallel jobs if possible
ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
	PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
		sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
	ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
		PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
			then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
			else echo 1; fi)
	endif
	NJOBS := -j$(PARALLEL_JOBS)
endif
DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)

# autogen.sh creates the gtkdoc files as symlinks, we want them omitted
# from the diff; deleting configure forces it to be re-generated, too
clean::
	rm -f gtk-doc.make m4/gtk-doc.m4
	rm -f configure

pre-build:: patch configure

configure:
	sh ./autogen.sh --no-configure

common-install-prehook-indep::
	install -d $(DEB_DESTDIR)/usr/share/doc/libtelepathy-glib-doc/telepathy-glib
